> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workflows



## OpenAPI

````yaml GET /v1/workflows
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/workflows:
    get:
      tags:
        - workflows
      summary: List Workflows
      operationId: list_workflows_v1_workflows_get
      parameters:
        - name: workflow_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Workflow Type
        - name: state
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: State
        - name: risk_level
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Risk Level
        - name: is_active
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Is Active
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort By
        - name: sort_order
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort Order
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number (1-indexed)
            default: 1
            title: Page
          description: Page number (1-indexed)
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            description: Items per page (max 500)
            default: 50
            title: Page Size
          description: Items per page (max 500)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_WorkflowSummary_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedResponse_WorkflowSummary_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/WorkflowSummary'
          type: array
          title: Data
        meta:
          $ref: '#/components/schemas/PaginationMeta'
      type: object
      required:
        - data
        - meta
      title: PaginatedResponse[WorkflowSummary]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowSummary:
      properties:
        uuid:
          type: string
          format: uuid
          title: Uuid
        name:
          type: string
          title: Name
        workflow_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Type
        indicator_types:
          items:
            type: string
          type: array
          title: Indicator Types
        state:
          type: string
          title: State
        code_version:
          type: integer
          title: Code Version
        is_active:
          type: boolean
          title: Is Active
        is_system:
          type: boolean
          title: Is System
        tags:
          items:
            type: string
          type: array
          title: Tags
        time_saved_minutes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Time Saved Minutes
        approval_mode:
          type: string
          title: Approval Mode
        risk_level:
          type: string
          title: Risk Level
        documentation:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentation
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - uuid
        - name
        - workflow_type
        - indicator_types
        - state
        - code_version
        - is_active
        - is_system
        - tags
        - time_saved_minutes
        - approval_mode
        - risk_level
        - documentation
        - created_at
        - updated_at
      title: WorkflowSummary
      description: List response — omits code to save tokens.
    PaginationMeta:
      properties:
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - total
        - page
        - page_size
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````